/* $Id: internal.h,v 0.10 2001/01/16 21:11:56 sverrehu Exp $ */
#ifndef SN_INTERNAL_H
#define SN_INTERNAL_H

#include "shhnet.h"

/* internal.c */
extern SNErrorHandling _snErrorHandling;
extern void (*_snErrorPrintf)(const char *format, ...);
extern SNErr _snLastError;

int   _snError(SNErr err, const char *extra);

/* cliopen.c */
SNErr _snCliOpenCommon(SNProto type, const char *host, const char *service,
		       int udpconnect, int *sock);

/* servopen.c */
SNErr _snSrvOpenAddrCommon(SNProto type, SNAddr addr,
                           const char *service, int *sock);
SNErr _snSrvOpenCommon(SNProto type, const char *service, int *sock);

#endif
